Subject: cygpath usage (was: RE: Posible bug in cygpath Windows -> Unix conversion)
From: "Andrej Borsenkow" <[email-masked]>
To: "Bob McGowan" <[email-masked]>
Cc: "Cygwin mailing list" <[email-masked]>
Date: Tue, 10 Oct 2000 10:20:08 +0400

>
> It looks like the conversion assumes a "drive_letter:slash" and so is
> cutting the first 3 characters, producing the output you see.  This is
> probably the result of using the -a option, forcing cygpath to assume
> the source string is an absolute path when in fact it is not.
>

I believe, the option -a means, that the *result* should be absolute path.
Look here:

mw1g017@MW1G17C% cygpath -a -u foo
/cygdrive/c/win32app/bin/foo
mw1g017@MW1G17C% cygpath -a -w foo
c:\win32app\bin\foo

At least, I always understood it this way. Correct me if I'm wrong.

-andrej

--
Want to unsubscribe from this list?
Send a message to [email-masked]